export declare type DeepPartial<T> = {
    [P in keyof T]?: DeepPartial<T[P]>;
};
export declare type NotyfHorizontalPosition = 'left' | 'center' | 'right';
export declare type NotyfVerticalPosition = 'top' | 'center' | 'bottom';
export interface INotyfPosition {
    x: NotyfHorizontalPosition;
    y: NotyfVerticalPosition;
}
export interface INotyfIcon {
    className: string;
    tagName: keyof ElementTagNameMap;
    text: string;
}
export interface INotyfNotificationOptions {
    type: string;
    className: string;
    duration: number;
    icon: INotyfIcon | false;
    backgroundColor: string;
    message: string;
    ripple: boolean;
    position: INotyfPosition;
}
export interface INotyfOptions {
    types: Array<DeepPartial<INotyfNotificationOptions>>;
    duration: number;
    ripple: boolean;
    position: INotyfPosition;
}
export declare const DEFAULT_OPTIONS: INotyfOptions;
